precision mediump float;
varying vec2 v_TexCoord0;
varying vec2 v_TSelect;

uniform sampler2D s_Texture0;
uniform sampler2D s_Texture1;

uniform vec4 u_Value;
uniform vec4 u_FrameColor;

void main() {
    vec4 tex0 = texture2D(s_Texture0, v_TexCoord0) * v_TSelect.x;
    vec4 tex1 = texture2D(s_Texture1, v_TexCoord0) * v_TSelect.y * u_FrameColor;
    gl_FragColor = (tex0 + tex1) * u_Value;
}